Skip to main content
GET
/
client
/
history
/
{id}
List history by device
curl --request GET \
  --url https://api.orbital-systems.com/client/history/{id} \
  --header 'x-api-key: <api-key>'
{
  "Count": 123,
  "Items": [
    {
      "id": "<string>",
      "timestamp": "<string>",
      "type": "<string>",
      "session_type": "<string>",
      "shower_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "saved_water": 123,
      "saved_energy": 123,
      "active_duration": 123,
      "avg_temperature": 123,
      "avg_user_temperature": 123,
      "filter_status": 123,
      "feedback_rating": 123,
      "feedback_text": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://orbitalsystems.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Device ID

Query Parameters

fromDate
string

From which point in time

toDate
string

To which point in time

Response

Success

Count
integer

Number of items returned

Items
object[]